import { merge as e } from "lodash-unified";
import { computed as i, unref as n } from "vue";
const a = {
  row: !0,
  col: !0
}, f = (o) => i(() => {
  const r = n(o);
  if (r === !1)
    return {
      suppressRowVirtualisation: !0,
      suppressColumnVirtualisation: !0
    };
  const { row: t, col: s, rowBuffer: u } = e(
    a,
    r || {}
  );
  return {
    suppressRowVirtualisation: !t,
    suppressColumnVirtualisation: !s,
    rowBuffer: u
  };
});
export {
  f as default
};
